﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Drawing
{
    public partial class Area : UserControl
    {
        public Area()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            button1.Text = "Click";
            if (openFileDialog1.ShowDialog () == DialogResult.OK)
                BackgroundImage = new Bitmap(openFileDialog1.FileName);
        }

        int X0, Y0;
        bool down = false;

        private void Area_MouseDown(object sender, MouseEventArgs e)
        {
            X0 = e.X;
            Y0 = e.Y;
            down = true;
        }

        private void Area_MouseMove(object sender, MouseEventArgs e)
        {
            if (down)
            {
                if (e.Button == MouseButtons.Right)
                {
                    Width += e.X - X0;
                    Height += e.Y - Y0;
                    X0 = e.X;
                    Y0 = e.Y;
                }
                else
                {
                    Left += e.X - X0;
                    Top += e.Y - Y0;
                }
            }

        }
        private void Area_MouseUp(object sender, MouseEventArgs e)
        {
            if (down)
            {
                down = false;
                if (e.Button == MouseButtons.Right)
                {
                    Width += e.X - X0;
                    Height += e.Y - Y0;
                }
                else
                {
                    Left += e.X - X0;
                    Top += e.Y - Y0;
                }
            }
        }

        private void contextMenu_Opening(object sender, CancelEventArgs e)
        {

        }

        private void openMenu_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
                BackgroundImage = new Bitmap(openFileDialog1.FileName);

        }

    }
}
